Please help by answering unanswered questions!
Register and earn badges for helping!


Subscribe to me on YouTube
Follow us on Twitter!

Join our Steam group!
361,785 questions
29,773 answers
2,732 comments
43,789 users
Ask YOUR question:

Diablo 3 Below Minimum Specifications Required Specifications Diablo III requires a newer operating system to run?

0 votes
But I have Windows Vista WTF it even says in the system requirements that windows vista is ok

HELP
asked 7 years ago in TroubleshootingTroubleshooting by anonymous  

Looking for more answers? SHARE this question:
  

its me again, I went to windows update and downloaded ALL updates and I still get the error message
HELP it still says UNABLE TO INSTALL

1 Answer

0 votes
I've turned off the windows firewall and now i can install the beta ;o
answered 7 years ago by anonymous  

Related questions